#!/bin/sh
# Remove # From Next 3 Lines If Using CYGWIN (Win32) Leave In For MSYS CYGWIN/POSIX UNIX
export CC="gcc -mno-cygwin"
export RANLIB="ranlib"
export usrl="--host=i686-pc-mingw32 --with-bzip2=/usr/local/ --with-readline=/usr/local"

# Remove Any Intermediate Files - Files Can Be Built Without autocomf & automake & perl
make distclean

# --prefix=Path Of EXE Files ( no space before or after = sign )
# Example: Path In 'WITH TIGER192 STATIC' IS /home/gpg-static-with-tiger
# Do Not Use A Path With Spaces in the Name !!! 

########################################### WITH TIGER192 STATIC (WIn32 Only)
./configure CFLAGS='-g -O2 -march=i386 -mfpmath=387' LDFLAGS='-s -static' --prefix=/home/gpg-static-with-tiger --enable-key-cache=8192 --enable-tiger --enable-large-key $usrl
#./configure CFLAGS='-g -O2 -march=i686 -mfpmath=387' LDFLAGS='-s -static' --prefix=/home/gpg-static-with-tiger-i686 --enable-key-cache=8192 --enable-tiger --enable-large-key $usrl
#./configure CFLAGS='-g -O2 -march=pentium2 -mfpmath=387 -mno-mmx' LDFLAGS='-s -static' --prefix=/home/gpg-static-with-tiger-p2 --enable-key-cache=8192 --enable-tiger --enable-large-key $usrl
#./configure CFLAGS='-g -O2 -march=pentium3 -mfpmath=387 -mno-mmx -mno-sse' LDFLAGS='-s -static' --prefix=/home/gpg-static-with-tiger-p3 --enable-key-cache=8192 --enable-tiger --enable-large-key $usrl
#./configure CFLAGS='-g -O2 -march=pentium4 -mfpmath=387 -mno-mmx -mno-sse -mno-sse2' LDFLAGS='-s -static' --prefix=/home/gpg-static-with-tiger-p4 --enable-key-cache=8192 --enable-tiger --enable-large-key $usrl
#./configure CFLAGS='-g -O2 -march=k6 -mfpmath=387 -mno-mmx -mno-sse -mno-sse2 -mno-3dnow' LDFLAGS='-s -static' --prefix=/home/gpg-static-with-tiger-amd-k6 --enable-key-cache=8192 --enable-tiger --enable-large-key $usrl
#./configure CFLAGS='-g -O2 -march=k8 -mfpmath=387 -mno-mmx -mno-sse -mno-sse2 -mno-3dnow' LDFLAGS='-s -static' --prefix=/home/gpg-static-with-tiger-amd-k8 --enable-key-cache=8192 --enable-tiger --enable-large-key $usrl

########################################### NO TIGER192 STATIC (Win32 Only)
#./configure CFLAGS='-g -O2 -march=i386 -mfpmath=387' LDFLAGS='-s -static' --prefix=/home/gpg-static-no-tiger --enable-key-cache=8192 $usrl
#./configure CFLAGS='-g -O2 -march=i686 -mfpmath=387' LDFLAGS='-s -static' --prefix=/home/gpg-static-no-tiger-i686 --enable-key-cache=8192 $usrl
#./configure CFLAGS='-g -O2 -march=pentium2 -mfpmath=387 -mno-mmx' LDFLAGS='-s -static' --prefix=/home/gpg-static-no-tiger-p2 --enable-key-cache=8192 $usrl
#./configure CFLAGS='-g -O2 -march=pentium3 -mfpmath=387 -mno-mmx -mno-sse' LDFLAGS='-s -static' --prefix=/home/gpg-static-no-tiger-p3 --enable-key-cache=8192 $usrl
#./configure CFLAGS='-g -O2 -march=pentium4 -mfpmath=387 -mno-mmx -mno-sse -mno-sse2' LDFLAGS='-s -static' --prefix=/home/gpg-static-no-tiger-p4 --enable-key-cache=8192 $usrl
#./configure CFLAGS='-g -O2 -march=k6 -mfpmath=387 -mno-mmx -mno-sse -mno-sse2 -mno-3dnow' LDFLAGS='-s -static' --prefix=/home/gpg-static-no-tiger-amd-k6 --enable-key-cache=8192 $usrl
#./configure CFLAGS='-g -O2 -march=k8 -mfpmath=387 -mno-mmx -mno-sse -mno-sse2 -mno-3dnow' LDFLAGS='-s -static' --prefix=/home/gpg-static-no-tiger-amd-k8 --enable-key-cache=8192 $usrl

########################################### WITH TIGER192 DYNAMIC (Win32 POSIX UNIX)
#./configure CFLAGS='-g -O2 -march=i386 -mfpmath=387' LDFLAGS='-s' --prefix=/home/gpg-Dyn-with-tiger --enable-key-cache=8192 --enable-tiger --enable-large-key $usrl
#./configure CFLAGS='-g -O2 -march=i686 -mfpmath=387' LDFLAGS='-s' --prefix=/home/gpg-Dyn-with-tiger-i686 --enable-key-cache=8192 --enable-tiger --enable-large-key $usrl
#./configure CFLAGS='-g -O2 -march=pentium2 -mfpmath=387 -mno-mmx' LDFLAGS='-s' --prefix=/home/gpg-Dyn-with-tiger-p2 --enable-key-cache=8192 --enable-tiger --enable-large-key $usrl
#./configure CFLAGS='-g -O2 -march=pentium3 -mfpmath=387 -mno-mmx -mno-sse' LDFLAGS='-s' --prefix=/home/gpg-Dyn-with-tiger-p3 --enable-key-cache=8192 --enable-tiger --enable-large-key $usrl
#./configure CFLAGS='-g -O2 -march=pentium4 -mfpmath=387 -mno-mmx -mno-sse -mno-sse2' LDFLAGS='-s' --prefix=/home/gpg-Dyn-with-tiger-p3 --enable-key-cache=8192 --enable-tiger --enable-large-key $usrl
#./configure CFLAGS='-g -O2 -march=k6 -mfpmath=387 -mno-mmx -mno-sse -mno-sse2 -mno-3dnow' LDFLAGS='-s' --prefix=/home/gpg-Dyn-with-tiger-amd-k6 --enable-key-cache=8192 --enable-tiger --enable-large-key $usrl
#./configure CFLAGS='-g -O2 -march=k8 -mfpmath=387 -mno-mmx -mno-sse -mno-sse2 -mno-3dnow' LDFLAGS='-s' --prefix=/home/gpg-Dyn-with-tiger-amd-k8 --enable-key-cache=8192 --enable-tiger --enable-large-key $usrl

########################################### NO TIGER192 DYNAMIC (Win32 POSIX UNIX)
#./configure CFLAGS='-g -O2 -march=i386 -mfpmath=387' LDFLAGS='-s' --prefix=/home/gpg-Dyn-no-tiger --enable-key-cache=8192 $usrl
#./configure CFLAGS='-g -O2 -march=i686 -mfpmath=387' LDFLAGS='-s' --prefix=/home/gpg-Dyn-no-tiger-i686 --enable-key-cache=8192 $usrl
#./configure CFLAGS='-g -O2 -march=pentium2 -mfpmath=387 -mno-mmx' LDFLAGS='-s' --prefix=/home/gpg-Dyn-no-tiger-p2 --enable-key-cache=8192 $usrl
#./configure CFLAGS='-g -O2 -march=pentium3 -mfpmath=sse -mno-mmx -mno-sse' LDFLAGS='-s' --prefix=/home/gpg-Dyn-no-tiger-p3 --enable-key-cache=8192 $usrl
#./configure CFLAGS='-g -O2 -march=pentium4 -mfpmath=sse -mno-mmx -mno-sse -mno-sse2' LDFLAGS='-s' --prefix=/home/gpg-Dyn-no-tiger-p4 --enable-key-cache=8192 $usrl
#./configure CFLAGS='-g -O2 -march=k6 -mfpmath=387 -mno-mmx -mno-sse -mno-sse2 -mno-3dnow' LDFLAGS='-s' --prefix=/home/gpg-Dyn-no-tiger-amd-k6 --enable-key-cache=8192 $usrl
#./configure CFLAGS='-g -O2 -march=k8 -mfpmath=387 -mno-mmx -mno-sse -mno-sse2 -mno-3dnow' LDFLAGS='-s' --prefix=/home/gpg-Dyn-no-tiger-amd-k8 --enable-key-cache=8192 $usrl

make
make install
make check
